Bug 169361 - Review Request: nautilus-image-converter
Summary: Review Request: nautilus-image-converter
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: David Lawrence
URL: http://www.bitron.ch/software/nautilu...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-09-27 14:43 UTC by Brian Pepple
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 15:00:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Pepple 2005-09-27 14:43:32 UTC
Spec Name or Url: http://piedmont.homelinux.org/fedora/nautilus-image-converter/nautilus-image-converter.spec
SRPM Name or Url: http://piedmont.homelinux.org/fedora/nautilus-image-converter/nautilus-image-converter-0.0.3-1.src.rpm
Description: Adds a "Resize Images..." menu item to the context menu of all images. This opens a dialog where you set the desired image size and file name. A click on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

Comment 1 Tom "spot" Callaway 2005-09-27 15:40:38 UTC
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Needswork:
- needs to own the %{_datadir}/%{name}/ directory. 
You can fix this by changing:

%{_datadir}/%{name}/nautilus-image-resize.glade

to

%{_datadir}/%{name}/

As this is a minor touchup, I'm approving this package, but please make this
change before building.

Comment 2 Brian Pepple 2006-01-09 15:00:41 UTC
Published.


Note You need to log in before you can comment on or make changes to this bug.